#<><><><><><><><><><><><><><><><><><><><><><><><><><>#
#<><><><><><><>         Header         <><><><><><><>#
#<><><><><><><><><><><><><><><><><><><><><><><><><><>#

pcl_file = "RE_Compatibility.pcl";
response_matching = simple_matching;
default_font_size = 20;
default_font = "Arial";

active_buttons = 4;
#Mapping: 1 = A, 2 = D, 9 = Space.
button_codes = 1, 2, 3, 9;





#<><><><><><><><><><><><><><><><><><><><><><><><><><>#
#<><><><><><><>          SDL           <><><><><><><>#
#<><><><><><><><><><><><><><><><><><><><><><><><><><>#
#																	  #
#	Sections:													  #
#																	  #
#		- Stimuli												  #
#		- Trials													  #
#																	  #

begin;




#****************************************************#
#**************         Stimuli         *************#
#****************************************************#
#																	  #
#	Contents (in order of appearance):					  #
#																	  #
#		- Instruction Texts									  #
#		- Instruction Pictures								  #
#		- Error Messages (incl. Sound)					  #
#		- Effect Stimuli & Effect Picture				  #
#																	  #



# Set condition text.
text { caption = " "; } which_participant_text;

# Instruction: Experiment.
text {
	caption = "e"; text_align = align_left;		#Text is defined in PCL.
} instruction1;

# Instruction: Block.
text {					# Text is defined in PCL to display block progress and
	caption = "b";		# feedback information (mean RT, response frequencies).
} instruction2;

# Instruction: End of the Experiment.
text {
	caption = "Geschafft! Weiter mit der Leertaste.";
} instruction3;



# Error Messages.
text { caption = "Fehler!"; } error;
text { caption = "Zu langsam!"; } slow;
text { caption = "Zu früh!"; } anticipation;
text { caption = "Verpasst!"; } miss;
text { caption = "Doppelt!"; } double_keypress;




# Effect-Squares.
box { height = 95; width = 95; color = 255, 255, 255; } white;
box { height = 85; width = 85; color =   0,   0,   0; } black;
box { height = 85; width = 85; color =   0,  80, 160; } blue;
box { height = 85; width = 85; color = 245, 155,  25; } orange;
array { box blue; box orange; } "effect_color";
text { caption = " "; font_size = 50; } go;

# Picture for Effect-Preview.
picture { box white; x = 0; y = 0;
			 box white; x = 0; y = 0;
			 box black; x = 0; y = 0;
			 box black; x = 0; y = 0;
			 text go;   x = 0; y = 0;
		  } effect_preview;
		  
# Picture for Go-Signals and Effects.
picture { box black; x = 0; y = 0;
			 box black; x = 0; y = 0;
			 text go;   x = 0; y = 0;
		  } pic_go;
		  
# Picture for Oversampling/Jittering.
picture { } pic_blank;




#****************************************************#
#*************          Trials          *************#
#****************************************************#
#																	  #
#	Contents (in order of appearance):					  #
#																	  #
#		- Pre-Experiment: Enter Condition				  #
#		- Instruction: Experiment							  #
#		- Instruction: Block									  #
#		- Main Trial											  #
#		- Deviant Effects Reaction							  #
#		- Feedback / Error Display							  #
#		- Logging of Trial Information					  #
#		- Inter-Trial-Interval								  #
#		- Instruction: End of the Experiment			  #
#																	  #

# Pre-Experiment: Enter Condition.
trial {
	trial_duration = stimuli_length;
	trial_type = fixed;
	
	picture { text { caption = " "; }; x = 0; y = 150;
				 text { caption = "*********************************\n*                                          *\n*         Bedingung:                *\n*                                          *\n*********************************\n"; }; x = 0; y = 0;
             text { caption = " "; } condition_text; x = 105; y = 15; 
				 text { caption = "*********************************\n*                                          *\n*         Session:                    *\n*                                          *\n*********************************\n"; }; x = 0; y = -130;
				 text { caption = " "; } session_text; x = 105; y = -115;
			  } condition_pic;
	
} condition_trial;

# Instruction: Experiment.
trial {
	trial_duration = forever;
   trial_type = specific_response;
   terminator_button = 4;            
    
	picture { text instruction1; x = 0; y = 0; } pic_inst;
	target_button = 4;
} t_instruction1;

# Instruction: Block.
trial {
	trial_duration = forever;
   trial_type = specific_response;
   terminator_button = 4;            
    
	picture { text instruction2; x = 0; y = 0; };
	target_button = 4;
} t_instruction2;



# Effect Preview.
trial {
	trial_duration = 1000;
	trial_type = first_response;
	picture effect_preview;
	time = 0;
	duration = 1000;
	target_button = 4;
} t_effect_preview;

# Go-Signal.
trial {
	trial_duration = 1000;
	trial_type = first_response;
	picture pic_go;
	time = 0;
	duration = 200;
	target_button = 4;
} t_go;

# Normal Effect.
trial {
	trial_duration = 1000;
	#trial_type = first_response;
	trial_type = fixed;
	picture effect_preview;
	time = 0;
	duration = 500;
	target_button = 4;
} t_normal_effect;

# Deviant Effects Reaction.
trial {
	trial_duration = 1500;
	trial_type = nth_response;
	max_responses = 2;
	picture effect_preview;
	time = 0;
	duration = 500;
	stimulus_event { nothing {}; response_active = true; target_button = 3; time = 0;} r1;
	stimulus_event { nothing {}; response_active = true; target_button = 3; time = 0;} r2;
	#The same target_button is no typo! See PCL for comments.
} t_deviant_effect;

# Feedback / Error Display.
trial {
	trial_duration = 1000;
	picture {
	text error; x = 0; y = 0;
	} pic_error;
	time = 0;
	duration = 1000;
} t_error;

# Logging of Trial Information.
trial {
	trial_duration = stimuli_length;
	stimulus_event { nothing {}; time = 0; duration = 10; } log_event;
} logtrial;

# Inter-Trial-Interval
trial {
	trial_duration = 1000;
	trial_type = first_response;
	picture { } blank;
	target_button = 4;
} t_iti;

# Instruction: End of the Experiment.
trial {
	trial_duration = forever;
   trial_type = specific_response;
   terminator_button = 4;            
    
	picture { text instruction3; x = 0; y = 0; };
	target_button = 4;
} t_end;